Subject: FW: Last Call: draft-ietf-netmod-yang (YANG - A data modeling languagefor NETCONF) to Proposed Standard

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 11 Mar 2010 14:13:51 +0100

XML and APPS Experts,

I would like to draw you attention on the IETF Last Call for the YANG
data modeling language for NETCONF that started yesterday and will last
for about one month. 

Your comments and reviews will be appreciated. 

Thanks and Regards,

Dan

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of The IESG
Sent: Wednesday, March 10, 2010 9:35 PM
To: IETF-Announce
Cc: [email-masked]
Subject: Last Call: draft-ietf-netmod-yang (YANG - A data modeling
languagefor NETCONF) to Proposed Standard

The IESG has received a request from the NETCONF Data Modeling Language
WG (netmod) to consider the following document:

- 'YANG - A data modeling language for NETCONF '
   <draft-ietf-netmod-yang-11.txt> as a Proposed Standard

The IESG plans to make a decision in the next few weeks, and solicits
final comments on this action.  Please send substantive comments to the
[email-masked] mailing lists by 2010-04-09. Exceptionally, comments may
be sent to [email-masked] instead. In either case, please retain the
beginning of the Subject line to allow automated sorting.

The file can be obtained via
http://www.ietf.org/internet-drafts/draft-ietf-netmod-yang-11.txt

IESG discussion can be tracked via
https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=
17247&rfc_flag=0

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 11 Mar 2010 14:35:33 +0100

Hi Julian,

Thank you for looking at the document. 

As this document is in IETF Last Call would it be possible to send these
comments to ietf.org? 

Thanks and Regards,

Dan

> From: Julian Reschke [mailto:[email-masked]] 
> Sent: Thursday, March 11, 2010 3:33 PM
> To: Romascanu, Dan (Dan)
> Cc: [email-masked]; [email-masked]
> Subject: Re: FW: Last Call: draft-ietf-netmod-yang (YANG - A 
> data modeling languagefor NETCONF) to Proposed Standard
> 
> On 11.03.2010 14:13, Romascanu, Dan (Dan) wrote:
> >   XML and APPS Experts,
> >
> > data modeling language for NETCONF that started yesterday and will 
> > last for about one month.
> >
> > ...
> Isolated comment:
> > 5.3.  XML Namespaces
> >    All YANG definitions are specified within a module that 
> is bound to a
> >    particular XML Namespace [XML-NAMES], which is a 
> globally unique URI
> >    [RFC3986].  A NETCONF client or server uses the 
> namespace during XML
> >    encoding of data.
> >
> >    Namespaces for modules published in RFC streams [RFC4844] MUST be
> >    assigned by IANA, see Section 14.
> 
> I don't see why this is a requirement. The whole point of 
> using URIs as XML namespace identifiers is that you don't 
> *need* a central authority for assignment.
> 
> >    Namespaces for private modules are assigned by the organization
> >    owning the module without a central registry.  Namespace 
> URIs MUST be
> >    chosen so they cannot collide with standard or other enterprise
> >    namespaces, for example by using the enterprise or 
> organization name
> >    in the namespace.
> 
> That's true, but IMHO just repeats best XML practice.
> 
> >    The "namespace" statement is covered in Section 7.1.3.
> 
> Best regards, Julian
>

---

From: Julian Reschke <[email-masked]>
Date: Thu, 11 Mar 2010 14:33:13 +0100

Isolated comment:

> 5.3.  XML Namespaces
>
>    All YANG definitions are specified within a module that is bound to a
>    particular XML Namespace [XML-NAMES], which is a globally unique URI
>    [RFC3986].  A NETCONF client or server uses the namespace during XML
>    encoding of data.
>

I don't see why this is a requirement. The whole point of using URIs as 
XML namespace identifiers is that you don't *need* a central authority 
for assignment.

>    owning the module without a central registry.  Namespace URIs MUST be
>    namespaces, for example by using the enterprise or organization name
>    in the namespace.

Best regards, Julian

---

From: Graham Klyne <[email-masked]>
Date: Thu, 11 Mar 2010 23:46:59 +0000

Hi,

At 180-ish pages, it's a pretty daunting spec.  At a cursory glance, it mostly
seems to be yet another schema language for XML - I didn't see anything in the
introduction to suggest otherwise:

    This document describes the syntax and semantics of the YANG
    language, how the data model defined in a YANG module is represented
    in XML, and how NETCONF operations are used to manipulate the data.

Sounds to me like a schema language with a little bit of operational semantics
attached for manipulation.

What is it that this specification provides that cannot be expressed with XML
Schema or RelaxNG?  And if it's not very much, wouldn't it make more sense to
frame this as a modest extension of an existing schema language?

Maybe I'm missing something fundamental here:  if so, it would help if the
introduction could explain what that might be.

#g
--

Romascanu, Dan (Dan) wrote:
> Apps-Discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>